package uk.co.petertribble.picl;

import java.util.*;

/**
 * Java interface to Solaris PICL data.
 * Simply specifies an enumeration mechanism.
 */
public class JPicl {

    private PiclObject piclRoot;
    private List <PiclObject> picl;

    public JPicl() {
	picl = new ArrayList <PiclObject> ();
	piclRoot = new PiclObject();
    }

    /**
     * Add a picl item to the list.
     */
    public void addObject(PiclObject piclobject) {
	picl.add(piclobject);
    }

    /**
     * Return the root PiclObject.
     */
    public PiclObject getRootObject() {
	return piclRoot;
    }

    /**
     * Return the List of picl objects.
     */
    public List <PiclObject> getPicl() {
	return picl;
    }

    /**
     * Return a List of picl objects of a given class.
     */
    public List <PiclObject> getPiclByClass(String piclclass) {
	List <PiclObject> v = new ArrayList <PiclObject> ();
	for (PiclObject kso : picl) {
	    if (kso.getPiclClass().equals(piclclass)) {
		v.add(kso);
	    }
	}
	return v;
    }

    /**
     * Return a List of picl objects of a given name.
     */
    public List <PiclObject> getPiclByName(String piclname) {
	List <PiclObject> v = new ArrayList <PiclObject> ();
	for (PiclObject kso : picl) {
	    if (kso.getPiclName().equals(piclname)) {
		v.add(kso);
	    }
	}
	return v;
    }
}
